## xtensor 0.1.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.1.0-0
+Version: 0.1.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2017-09-11 14:28:53 UTC; sylvain
+Packaged: 2017-09-15 15:33:54 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2017-09-11 17:08:45 UTC
+Date/Publication: 2017-09-15 16:00:21 UTC
