## xtensor 0.3.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.2.0-0
+Version: 0.3.0-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2017-10-20 10:05:12 UTC; sylvain
+Packaged: 2017-11-11 00:05:42 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2017-10-23 22:15:02 UTC
+Date/Publication: 2017-11-11 04:05:45 UTC
