=== debian/changelog ===
xtensor (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 18 Apr 2017 19:34:02 +0100

xtensor (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Drop the patch queue, applied upstream
  * Fix the clean target when nodoc requested
  * Change doc-base registration to Programming/C++

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 10 Apr 2017 17:49:06 +0100

xtensor (0.8.3-1) unstable; urgency=low

  * Initial release. (Closes: #858067)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 06 Apr 2017 16:55:03 +0100
