=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/xtensor-$1\.tar\.gz/ \
https://github.com/QuantStack/xtensor/tags .*/v?@ANY_VERSION@\.tar\.gz
