## xtensor 0.9.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.8.1-0
+Version: 0.9.0-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2018-10-18 13:02:41 UTC; scorlay
+Packaged: 2018-12-06 22:37:30 UTC; scorlay
 Repository: CRAN
-Date/Publication: 2018-10-19 12:00:04 UTC
+Date/Publication: 2018-12-12 09:10:03 UTC
