## xtensor 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 set(XTENSOR_HEADERS
     ${XTENSOR_INCLUDE_DIR}/xtensor/xarray.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xassign.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xaxis_iterator.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbroadcast.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbuilder.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xcontainer.hpp
@@ -74,6 +75,7 @@
 OPTION(XTENSOR_ENABLE_ASSERT "xtensor bound check" OFF)
 OPTION(BUILD_TESTS "xtensor test suite" OFF)
 OPTION(DOWNLOAD_GTEST "build gtest from downloaded sources" OFF)
+OPTION(DEFAULT_COLUMN_MAJOR "set default layout to coumn major" OFF)
 
 if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
     set(BUILD_TESTS ON)
@@ -81,6 +83,10 @@
 
 if(XTENSOR_ENABLE_ASSERT)
     add_definitions(-DXTENSOR_ENABLE_ASSERT)
+endif()
+
+if(DEFAULT_COLUMN_MAJOR)
+    add_definitions(-DDEFAULT_LAYOUT=layout_type::column_major)
 endif()
 
 if(BUILD_TESTS)
