=== test/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
     project(xtensor-test)
 
     find_package(xtensor REQUIRED CONFIG)
-    set(XTENSOR_INCLUDE_DIR ${xtensor_INCLUDE_DIR})
+    set(XTENSOR_INCLUDE_DIR ${xtensor_INCLUDE_DIRS})
 endif ()
 
 message(STATUS "Forcing tests build type to Release")
@@ -86,9 +86,11 @@
     test_xadaptor_semantic.cpp
     test_xarray.cpp
     test_xarray_adaptor.cpp
+    test_xaxis_iterator.cpp
     test_xbroadcast.cpp
     test_xbuilder.cpp
     test_xcontainer_semantic.cpp
+    test_xdynamicview.cpp
     test_xeval.cpp
     test_xfunction.cpp
     test_xindexview.cpp
