=== debian/changelog ===
xtensor (0.10.1-1) unstable; urgency=medium

  * Fixup the watch regex
  * New upstream version 0.10.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 09 May 2017 19:19:38 +0100
