## xtensor 0.10.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.9.0-0
+Version: 0.10.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -15,7 +15,9 @@
 Imports: Rcpp
 LinkingTo: Rcpp
 LazyData: true
+Biarch: true
+Suggests: testthat
 NeedsCompilation: yes
-Packaged: 2018-12-06 22:37:30 UTC; scorlay
+Packaged: 2019-03-18 19:31:10 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2018-12-12 09:10:03 UTC
+Date/Publication: 2019-03-18 20:00:03 UTC
