=== test/CMakeLists.txt ===
--- 
+++ 
@@ -83,11 +83,13 @@
 set(XTENSOR_TESTS
     main.cpp
     test_common.hpp
+    test_xadapt.cpp
     test_xadaptor_semantic.cpp
     test_xarray.cpp
     test_xarray_adaptor.cpp
     test_xaxis_iterator.cpp
     test_xbroadcast.cpp
+    test_xbuffer_adaptor.cpp
     test_xbuilder.cpp
     test_xcontainer_semantic.cpp
     test_xdynamicview.cpp
