=== debian/changelog ===
xtensor (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2
  * Mark xtensor-dev Multi-Arch: foreign
  * Do not build with -march=native
    - New patch No-march-native.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 18 May 2017 17:09:24 +0100
