=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 Package: xtensor-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: xtensor-doc <!nodoc>
 Description: multi-dimensional arrays with broadcasting and lazy computing
