=== debian/changelog ===
xtensor (0.10.3-1) unstable; urgency=medium

  * New upstream version 0.10.3
  * Refresh the patch queue
  * Update copyright information

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 08 Jun 2017 18:42:29 +0100
