## xtensor 0.10.4

=== debian/changelog ===
xtensor (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 12 Jun 2017 21:47:14 +0100
