=== debian/changelog ===
xtensor (0.10.6-1) unstable; urgency=medium

  * New upstream version 0.10.6
  * Install the pkgconfig file
  * Bump standards version to 4.0.0, no changes required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 09 Jul 2017 23:16:19 +0100
