=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
 
-BUILD_OPTIONS = -DXTENSOR_CMAKECONFIG_INSTALL_DIR="lib/cmake/xtensor"
+BUILD_OPTIONS = -DCMAKE_INSTALL_LIBDIR="lib" \
+		-DXTENSOR_CMAKECONFIG_INSTALL_DIR="lib/cmake/xtensor"
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 BUILD_OPTIONS += -DBUILD_TESTS=ON \
