=== benchmark/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,9 @@
 include_directories(${XTENSOR_INCLUDE_DIR})
 
 set(XTENSOR_BENCHMARK
+    benchmark_container.hpp
+    benchmark_math.hpp
+    benchmark_views.hpp
     main.cpp
 )
