=== debian/changelog ===
xtensor (0.10.7-1) unstable; urgency=medium

  * New upstream version 0.10.7
  * Refresh the patch queue
  * Drop superfluous CMake options
  * Mark xtensor-dev section libdevel

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 11 Jul 2017 17:26:00 +0100
