## xtensor 0.10.9

=== debian/changelog ===
xtensor (0.10.9-1) unstable; urgency=medium

  * New upstream version 0.10.9
  * Refresh the patch queue

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 01 Aug 2017 12:05:42 +0100
