=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Package: xtensor-dev
 Architecture: all
 Multi-Arch: foreign
+Section: libdevel
 Depends: ${misc:Depends}
 Suggests: xtensor-doc <!nodoc>
 Description: multi-dimensional arrays with broadcasting and lazy computing
