## xtensor 0.10.10

=== debian/changelog ===
xtensor (0.10.10-1) unstable; urgency=medium

  * New upstream version 0.10.10
  * Bump standards version to 4.0.1, no changes required
  * Add missing get-orig-source target

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 12 Aug 2017 10:58:36 +0100
