=== debian/changelog ===
xtensor (0.10.11-1) unstable; urgency=medium

  * New upstream version 0.10.11
  * Fixup the Vcs-Browser URI
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 24 Aug 2017 10:01:51 +0100
