=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/xtensor.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
 Homepage: http://quantstack.net/xtensor
