=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xtensor-$1\.tar\.gz/ \
https://github.com/QuantStack/xtensor/tags .*/v?(\d\S+)\.tar\.gz
