## xtensor 0.13.2-0

=== DESCRIPTION ===
Package: xtensor
Type: Package
Title: Headers for the 'xtensor' Library
Version: 0.13.2-0
Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
Description: The 'xtensor' C++ library for numerical analysis with
 multi-dimensional array expressions is provided as a header-only
 C++14 library. It offers an extensible expression system enabling
 lazy broadcasting; an API following the idioms of the C++ standard
 library; and tools to manipulate array expressions and build upon 'xtensor'.
URL: https://github.com/xtensor-stack/xtensor
License: BSD_3_clause + file LICENSE
Encoding: UTF-8
Imports: Rcpp
LinkingTo: Rcpp
LazyData: true
Biarch: true
Suggests: testthat
NeedsCompilation: yes
Packaged: 2021-03-01 09:23:53 UTC; sylvain
Repository: CRAN
Date/Publication: 2021-03-01 09:40:02 UTC
