## xtensor 0.14.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.13.2-0
+Version: 0.14.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -14,10 +14,9 @@
 Encoding: UTF-8
 Imports: Rcpp
 LinkingTo: Rcpp
-LazyData: true
 Biarch: true
 Suggests: testthat
 NeedsCompilation: yes
-Packaged: 2021-03-01 09:23:53 UTC; sylvain
+Packaged: 2023-02-15 09:40:36 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2021-03-01 09:40:02 UTC
+Date/Publication: 2023-02-15 10:00:02 UTC
